ghc-7.4.2: The GHC API

Safe Haskell | None

LlvmCodeGen

Description

This is the top-level module in the LLVM code generator.

Synopsis

- llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> [RawCmmGroup] -> IO ()
- llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

# Documentation

llvmCodeGen :: DynFlags -> Handle -> UniqSupply -> [RawCmmGroup] -> IO ()

Top-level of the LLVM Code generator

llvmFixupAsm :: DynFlags -> FilePath -> FilePath -> IO ()

Read in assembly file and process